## sahara 5.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
castellan>=0.4.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
iso8601>=0.1.11 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
requests>=2.10.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-manilaclient>=1.10.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
sahara (1:5.0.0~b3-1+129~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 15:14:13 +0000

sahara (1:5.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Adds debian/python-sahara.lintian-overrides because templates aren't fully
    scripts, and variables are fooling lintian.
  * Patches requirements.txt to allow build on Jessie.
  * Fixed missing EPOC in glanceclient (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:52:17 +0200

sahara (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829335).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jul 2016 10:49:42 +0200

sahara (1:5.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 14:35:07 +0200

sahara (1:4.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * d/rules: Install api-paste.ini.

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821245).
  * Updated Dutch translation for debconf messages (Closes: #823258).

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Apr 2016 00:23:25 +0200

=== debian/control ===
Source: sahara
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     bandit,
                     git,
                     python-babel (>= 2.3.4),
                     python-bashate,
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-doc8,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-flask,
                     python-glanceclient (>= 1:2.3.0),
                     python-hacking,
                     python-heatclient (>= 1.4.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mako,
                     python-manilaclient (>= 1.10.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-api-ref,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-saharaclient (>= 0.18.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient,
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     openssh-client,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-sahara.
Vcs-Git: https://git.openstack.org/openstack/deb-sahara
Homepage: https://github.com/openstack/sahara

Package: python-sahara
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-eventlet (>= 0.18.4),
         python-flask,
         python-glanceclient (>= 1:2.3.0),
         python-heatclient (>= 1.4.0),
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-manilaclient (>= 1.10.0),
         python-mysqldb,
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient,
         python-tooz (>= 1.28.0),
         python-webob,
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara-common
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         python-sahara (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Breaks: sahara (<< 2015.1.0-3~),
Replaces: sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-api
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         python-openstackclient,
         q-text-as-data,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-engine
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

Package: sahara
Architecture: all
Section: python
Depends: sahara-api (= ${source:Version}),
         sahara-engine (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

## sahara 5.0.0~rc1

=== debian/changelog ===
sahara (1:5.0.0~rc1-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Oct 2016 08:24:06 +0000

sahara (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Adds debian/python-sahara.lintian-overrides because templates aren't fully
    scripts, and variables are fooling lintian.
  * Patches requirements.txt to allow build on Jessie.
  * Fixed missing EPOC in glanceclient (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:52:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -33,7 +33,6 @@
                      python-keystoneauth1 (>= 2.10.0),
                      python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-mako,
                      python-manilaclient (>= 1.10.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 2.0),
@@ -56,19 +55,17 @@
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 2.0),
                      python-pep8,
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
                      python-requests (>= 2.10.0),
-                     python-saharaclient (>= 0.18.0),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.16.0),
                      python-swiftclient,
-                     python-tempest-lib (>= 0.14.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -78,8 +75,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-sahara.
-Vcs-Git: https://git.openstack.org/openstack/deb-sahara
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-sahara?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-sahara -b debian/newton
 Homepage: https://github.com/openstack/sahara
 
 Package: python-sahara

## sahara 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 oslo.config>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0

=== debian/changelog ===
sahara (1:5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858711).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 13:30:26 +0100

sahara (1:5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 14:59:11 +0100

sahara (1:5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:21:53 +0200

sahara (1:5.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839527).

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -159,6 +159,7 @@
 Section: python
 Depends: adduser,
          dbconfig-common,
+         net-tools,
          python-openstackclient,
          q-text-as-data,
          sahara-common (= ${source:Version}),

## sahara 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

alembic>=0.8.10 # MIT
Babel>=2.3.4 # BSD
castellan>=0.4.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
iso8601>=0.1.11 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
requests!=2.12.2,>=2.10.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.12.0 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
tooz>=1.47.0 # Apache-2.0
WebOb>=1.6.0 # MIT

=== debian/changelog ===
sahara (1:6.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:45:52 -0500

sahara (1:6.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream release for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:17:06 -0500

sahara (1:6.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New uptream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 14:01:28 -0500

sahara (1:6.0.0~b2-0ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/gbp.conf: Modified to use pristine-tar.
    - d/control: Update Vcs-* links and maintainers.
    - d/watch: Get tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-requirements.txt.patch: Dropped. Not needed with new versions of
    dh-python.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 15:15:51 -0500

sahara (1:4.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/doc-conf-git.patch: Drop git commands that fail sphinx-build.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jan 2016 15:14:16 -0500

sahara (1:4.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 12:28:13 -0500

=== debian/control ===
Source: sahara
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     openssh-client,
                     python-alembic (>= 0.8.10),
                     python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1.6.0),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-flask (>= 0.10),
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-manilaclient (>= 1.12.0),
                     python-mock (>= 2.0),
                     python-pymysql (>= 0.7.6),
                     python-mysqldb,
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient (>= 1:3.2.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-webob (>= 1.6.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Homepage: https://github.com/openstack/sahara

Package: python-sahara
Architecture: all
Section: python
Depends: python-alembic (>= 0.8.10),
         python-babel (>= 2.3.4),
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-eventlet (>= 0.18.4),
         python-flask,
         python-glanceclient (>= 1:2.5.0),
         python-heatclient (>= 1.6.1),
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.14.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-manilaclient (>= 1.10.0),
         python-mysqldb,
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-swiftclient (>= 1:3.2.0),
         python-tooz (>= 1.28.0),
         python-webob (>= 1.6.0),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-ldap,
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara-common
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         python-sahara (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-ldap,
Breaks: sahara (<< 2015.1.0-3~),
Replaces: sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-api
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         python-openstackclient,
         q-text-as-data,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-engine
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

Package: sahara
Architecture: all
Section: python
Depends: sahara-api (= ${source:Version}),
         sahara-engine (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

## sahara 6.0.2

=== debian/changelog ===
sahara (1:6.0.2-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:24:42 -0400

=== debian/control ===
--- 
+++ 
@@ -60,6 +60,7 @@
                      python-pep8,
                      python-psycopg2 (>= 2.5),
                      python-requests (>= 2.10.0),
+                     python-saharaclient (>= 1.1.0),
                      python-six (>= 1.9.0),
                      python-sphinx (>= 1.2.1),
                      python-sphinxcontrib-httpdomain,

## sahara 7.0.0

=== debian/changelog ===
sahara (1:7.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 16:23:11 +0000

sahara (1:7.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:45:33 +0100

sahara (1:7.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 21:19:32 -0400

sahara (1:7.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:02:17 -0400

sahara (1:7.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:23 -0400

sahara (1:7.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:21:48 -0400

sahara (1:7.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:11:27 +0100

sahara (1:7.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 18 May 2017 08:34:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,68 +10,66 @@
                openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: git,
                      openssh-client,
                      python-alembic (>= 0.8.10),
                      python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
-                     python-castellan (>= 0.4.0),
-                     python-cinderclient (>= 1.6.0),
+                     python-castellan (>= 0.7.0),
+                     python-cinderclient (>= 1:3.1.0),
                      python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-flask (>= 0.10),
-                     python-glanceclient (>= 1:2.5.0),
+                     python-glanceclient (>= 1:2.8.0),
                      python-hacking (>= 0.10.0),
                      python-heatclient (>= 1.6.1),
                      python-iso8601 (>= 0.1.11),
                      python-jinja2 (>= 2.8),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-manilaclient (>= 1.12.0),
                      python-mock (>= 2.0),
                      python-pymysql (>= 0.7.6),
                      python-mysqldb,
-                     python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:6.0.0),
+                     python-neutronclient (>= 1:6.3.0),
+                     python-novaclient (>= 2:7.1.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-api-ref (>= 1.0.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 2.0),
                      python-pep8,
                      python-psycopg2 (>= 2.5),
-                     python-requests (>= 2.10.0),
-                     python-saharaclient (>= 1.1.0),
+                     python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
+                     python-stevedore (>= 1.20.0),
                      python-swiftclient (>= 1:3.2.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.47.0),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      subunit,
                      testrepository
 Standards-Version: 3.9.8
@@ -84,45 +82,45 @@
 Section: python
 Depends: python-alembic (>= 0.8.10),
          python-babel (>= 2.3.4),
-         python-castellan (>= 0.4.0),
-         python-cinderclient (>= 1:1.6.0),
-         python-eventlet (>= 0.18.4),
+         python-castellan (>= 0.7.0),
+         python-cinderclient (>= 1:3.1.0),
+         python-eventlet (>= 0.18.2),
          python-flask,
-         python-glanceclient (>= 1:2.5.0),
+         python-glanceclient (>= 1:2.8.0),
          python-heatclient (>= 1.6.1),
          python-iso8601 (>= 0.1.11),
          python-jinja2 (>= 2.8),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.14.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
          python-manilaclient (>= 1.10.0),
          python-mysqldb,
-         python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:2.29.0),
+         python-neutronclient (>= 1:6.3.0),
+         python-novaclient (>= 2:7.1.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.rootwrap (>= 5.0.0),
-         python-oslo.serialization (>= 2.0.0),
+         python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-paramiko (>= 2.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-psycopg2 (>= 2.5),
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-swiftclient (>= 1:3.2.0),
-         python-tooz (>= 1.28.0),
-         python-webob (>= 1.6.0),
+         python-tooz (>= 1.47.0),
+         python-webob (>= 1.7.1),
          sqlite3,
          ${misc:Depends},
          ${python:Depends}
@@ -158,7 +156,7 @@
 Section: python
 Depends: adduser,
          dbconfig-common,
-         python-openstackclient,
+         python-openstackclient (>= 3.3.0),
          q-text-as-data,
          sahara-common (= ${source:Version}),
          ${misc:Depends},
